Chatear en RedIrc

lunes, 2 de mayo de 2016

Problemas con Google Chrome y los mensajes uses weak digest

Desde la última revisión de apt, a mediados de marzo, al poco de salir Ubuntu 16.04 Xenial se ha llevado varios cambios, entre ellos, el soporte para SHA-1, por lo que los repositorios de paquetes deben de modificar sus claves GPG para que apt la acepte, en concreto, actualmente hay problemas con el paquete de Google Chrome que da unos mensajes de aviso al actualizar nuestro repositorio:
sudo apt update
W: http://dl.google.com/linux/chrome/deb/dists/stable/Release.gpg: Signature by key 4CCA1EAF950CEE4AB83976DCA040830F7FAC5991 uses weak digest algorithm (SHA1)
W: http://dl.google.com/linux/chrome/deb/dists/stable/Release.gpg: Signature by key 3B068FB4789ABE4AEFA3BB491397BC53640DB551 uses weak digest algorithm (SHA1

Como vemos, nos esta diciendo que las claves GPG del repositorio no son fiables. Aunque no es alarmante pero si da un poco por culo.Una posible solución es añadir el repositorio nuevo de Google:
wget -q -O - https://dl.google.com/linux/linux_signing_key.pub | sudo apt-key add -
A mi concretamente no me funciono, lo que si hice fue borrar el repositorio que crea Google Chrome cuando se instala el paquete deb descargado de su web:
sudo rm /etc/apt/sources.list.d/google-chrome.list
sudo apt update
Al actualizar el repositorio ya no me sale esos mensajes. La pega de eliminar el repositorio es que tenemos que comprobar periódicas para ver si hay actualizaciones desde Google, pero esto no debe ser un gran problema ya que salen cada cierto tiempo:

Información de Google Chrome

Version y actualizaciones d Google Chrome
Si habría una actualización nos saldría un botón que al darse se descarga la nueva versión automáticamente. Solo falta esperar unos días a ver si Google soluciona este molesto problema con su repositorio.

El problema que esta causando en Ubuntu esta ya reportado en chromium para su posible resolución, esperemos que sea así en breve.

No hay comentarios:

Publicar un comentario